System.Web 2.0.0.0 System.Exception

An instance of the class is thrown when a operation fails.

If you are not familiar with the membership features of ASP.NET, see Introduction to Membership before continuing. For a list of other topics related to membership, see Managing Users By Using Membership.

The property indicates the reason for the exception so you can handle it appropriately.

The exception that is thrown when a user is not successfully created by a membership provider.

- Constructor

  An instance of the class is thrown by the method when the user is not created.

  Initializes a new instance of the class.

  2.0.0.0
- Constructor

  The class is thrown by the method when the user is not created.

  You can use the parameter to set the property of the exception to a meaningful description of the reason for the exception.

  Initializes a new instance of the class and sets the property to the supplied parameter value

  A description of the reason for the exception.
  2.0.0.0
- Constructor

  The class is thrown by the method when the user is not created.

  The parameter enables you to indicate why the was thrown. The parameter value is exposed by the property.

  Initializes a new instance of the class with the specified value.

  A enumeration value that describes the reason for the exception.
  2.0.0.0
- Constructor

  This constructor is called during deserialization to reconstitute the exception object transmitted over a stream. For more information, see XML and SOAP Serialization.

  Initializes a new instance of the class with the supplied serialization information and context.

  The that holds the serialized object data about the exception being thrown.
  The that contains contextual information about the source or destination.
  2.0.0.0
- Constructor

  An instance of the class is thrown by the method when the user is not created.

  You can use this overload of the constructor to supply information regarding a caught exception that occurred while the user was being created.

  Initializes a new instance of the class and sets the property to the supplied and the property to the supplied .

  A description of the reason for the exception.
  The exception that caused the .
  2.0.0.0
- Method
  System.Void `` `` To be added.

  Any objects included in the are automatically tracked and serialized by the formatter.

  Populates a with the data needed to serialize the target object.

  The to populate with data. 2.0.0.0
- Property
  System.Web.Security.MembershipCreateStatus To be added.

  The property enables you to determine why the was thrown and respond accordingly.

  Gets a description of the reason for the exception.

  2.0.0.0